<?php
if( !class_exists(EeweePopup)){
	class EeweePopup{
		
		function __construct(){
                    $this->init();
                    
                    // SHORTCODE
//                  add_shortcode( 'xxx', array($this, 'fct') );
		}//fin constructeur

		// init
		function init(){ 
                    $this->getOptionsAdmin();
                    
                    if( get_option( "eewee_popup_val_enabled" ) == 'on' ){ 

                        // save id cookie
                        if( !empty( $_POST['btn_save']) ){
                            $s = rand(0,1000000);
                            update_option( "eewee_popup_val_cookie", $s );
                        }

                        $getAV = get_option( "eewee_popup_val_alwaysvisible" );
                        $getCookie = get_option( "eewee_popup_val_cookie" );

                        if( 
                            !isset($_COOKIE["eewee-popup"]) || 
                            $_COOKIE["eewee-popup"] != $getCookie || 
                            $getAV == "on"
                        ){
                            // cookie
                            $this->createCookie();

                            // render
                            add_action("wp_head", array($this, "render") );
                        }
                        
                    }else{
                        //echo "le popup n'est pas active";
                    }
                    
                }

		// execute lors de l'activation du plugin
		function eewee_activate(){}

		// execute lors de la désactivation du plugin
		function eewee_deactivate(){}
		
		/**
		 * Gestion des menus du site
		 */
		function eewee_adminMenu(){
			// main menu
			add_menu_page( "eeweePopup", "Eewee Popup", "manage_options", "idEeweePopup", array($this, menu), plugins_url("eewee-popup/img/icon.png") );
			// submenu (into main menu)
			add_submenu_page( "idEeweePopup", "Setting", "Setting", "manage_options", "idSousMenuTH1", array($this, sousMenu1));
			add_submenu_page( "idEeweePopup", "Manual", "Manual", "manage_options", "idSousMenuTH2", array($this, sousMenu2));
			
			// menu B
//			add_object_page( "monMenuB", "monMenuB", "manage_options", "idMonMenuB", "fct_b" );
			// submenu (into main menu)
//			add_pages_page( "sousPages", "sous page ici", "manage_options", "idSousMenuPage", "fct_sousMenu");
			
			// appel init
			add_action('admin_init', array($this, 'init'));
		}
		
                
                function render(){ 
                    // STOCK
                    $content = "";
                    
                    $getLink = get_option( "eewee_popup_val_link" );
                    
                    $getW = get_option( "eewee_popup_val_width" );
                    if( empty($getW) ){ $w = "500"; }else{ $w = $getW; }
                    //$getH = get_option( "eewee_popup_val_height" );
                    //if( empty($getW) ){ $h = "300"; }else{ $h = $getH; }

                    $getImg = get_option( "eewee_popup_val_imgurl" );
                    if( !empty($getImg) ){ $content .= "<img src='".$getImg."' width='".$w."' />"; }

                    $getText = get_option( "eewee_popup_val_text" );
                    if( !empty($getText) ){ $content .= "<p style='text-align:justify;'>".nl2br($getText)."</p>"; }
                    
                    $getBorderPx = get_option( "eewee_popup_val_bpx" );
                    if( empty($getBorderPx) ){ $borderPx = "20"; }else{ $borderPx = $getBorderPx; }
                    
                    $getBorderColor = get_option( "eewee_popup_val_bc" );
                    if( empty($getBorderColor) ){ $borderColor = "#ddd"; }else{ $borderColor = $getBorderColor; }
                    
                    
                    // CSS ?>
                    <style type="text/css">
                        .eewee_popup_block{
                            border: <?php echo $borderPx; ?>px solid <?php echo $borderColor; ?>;
                        }
                        #eewee_popup_name{
                            text-align: justify;
                        }
                        #eewee_popup_name a{
                            text-decoration: none;
                            color: #000;
                        }
                    </style>

                    <?php // CLICK ?>
                    <?php //<a href="#?w=800" rel="eewee_popup_name" class="poplight">En savoir plus</a> ?>
                    <?php //echo '<a href="#?w='.$w.'" rel="eewee_popup_name" class="poplight">En savoir plus</a>'; ?> 

                    <?php // DISPLAY ?>
                    <div id="eewee_popup_name" class="eewee_popup_block">
                        <a href="#" class="eewee_close"><img src="<?php echo EEWEE_POPUP_PLUGIN_URL; ?>/img/close_pop.png" class="eewee_btn_close" title="Close Window" alt="Close"></a>

                        <?php if( !empty($getLink) ){ echo "<a href='".$getLink."'>"; } ?>
                            <?php echo $content; ?>
                        <?php if( !empty($getLink) ){ echo "</a>"; } ?>
                    </div>
                
                    <?php // SCRIPT JS ?>
                    <script type="text/javascript">
                        jQuery(document).ready(function($) {
                            $(document).ready(function() {
                                //$( "#xxx" ).hide();
                                //$("#xxx").addClass("toto");

                                //Lorsque vous cliquez sur un lien de la classe poplight et que le href commence par #
                                //$('a.poplight[href^=#]').click(function() {
                                $(window).load(function(){
                                    var popID = "eewee_popup_name";
                                    //var popID = $(this).attr('rel'); //Trouver la pop-up correspondante
                                    //var popURL = $(this).attr('href'); //Retrouver la largeur dans le href

                                    //Recuperer les variables depuis le lien
                                    //var query= popURL.split('?');
                                    //var dim= query[1].split('&');
                                    //var popWidth = dim[0].split('=')[1]; //La premiere valeur du lien

                                    //Faire apparaitre la pop-up et ajouter le bouton de fermeture
                                    $('#' + popID).fadeIn().css({
                                            //'width': Number(popWidth),
                                            'width' : <?php echo $w; ?>
                                    })
                                    .prepend('');

                                    //Recuperation du margin, qui permettra de centrer la fenetre - on ajuste de 80px en conformitE avec le CSS
                                    var popMargTop = ($('#' + popID).height() + 80) / 2;
                                    var popMargLeft = ($('#' + popID).width() + 80) / 2;

                                    //On affecte le margin
                                    $('#' + popID).css({
                                            'margin-top' : -popMargTop,
                                            'margin-left' : -popMargLeft
                                    });

                                    //Effet fade-in du fond opaque
                                    $('body').append(''); //Ajout du fond opaque noir
                                    //Apparition du fond - .css({'filter' : 'alpha(opacity=80)'}) pour corriger les bogues de IE
                                    $('#fade').css({'filter' : 'alpha(opacity=80)'}).fadeIn();

                                    return false;
                                });
                                //});

                                //Fermeture de la pop-up et du fond
                                $('a.eewee_close, #eewee_fade').live('click', function() { //Au clic sur le bouton ou sur le calque...
                                    $('#eewee_fade , .eewee_popup_block').fadeOut(function() {
                                            $('#eewee_fade, a.eewee_close').remove();  //...ils disparaissent ensemble
                                    });
                                    return false;
                                });
                            });
                        });
                    </script>
                    
                    <?php
                }
                
		/**
		 * Page : main menu
		 */
		function menu(){ echo "Main menu here"; }


		/**
		 * Page : submenu 1
		 */
		function sousMenu1(){ include(EEWEE_POPUP_PLUGIN_DIR.'/view/popup.php'); }
		
		/**
		 * Page : submenu 1
		 */
		function sousMenu2(){ include(EEWEE_POPUP_PLUGIN_DIR.'/view/manual.php'); }

                
                /**
                 * Create a cookie
                 */
                function createCookie(){
                    $getCookie = get_option( "eewee_popup_val_cookie" );
                    $content = $getCookie; // cookie content 
                    setcookie( "eewee-popup", $content, time()+3600 ); // expire dans 1 heure
                }
		
		
		/**
		 * Shortcode 
		 * @param unknown_type $atts
		 */
		/*
		function xxx( $atts='' ){
			extract( shortcode_atts(array('type'=>''), $atts ));
			include(EEWEE_TWITTERCARD_PLUGIN_DIR.'/view/xxx.php');
		}//fin function
		*/

		
		
		/**
		 * Définition des options
		 */
		function getOptionsAdmin(){
			//assigne les valeurs par défaut aux options d'administration
			$tbl_optionsAdmin = array(
				'eewee_popup_val_enabled'	=> 'on',
				'eewee_popup_val_alwaysvisible'	=> 'on'
			);
			//recup les options stockées en bdd
			$options = get_option($this->adminOptionsName);
			//si les options existent dans la base de données, les valeurs par défaut sont écrasées par celles de la base			
			if( !empty($options) ){
				foreach( $options as $k=>$v ){
					$tbl_optionsAdmin[$k] = $v;
				}
			}
			//les options sont stockées dans la base
			update_option($this->adminOptionsName, $tbl_optionsAdmin);
			//les options sont renvoyées pour être utilisées
			return $tbl_optionsAdmin;
		}

	}//fin class
}//fin if
