<?php
class form_add_popup{
	
	function __construct(){}
	
	/**
	 *	Render form
	 */
	function getForm(){
		?>		
		<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
			
                    <?php
                    $enabled = get_option( "eewee_popup_val_enabled" );
                    $enabledChecked = "";
                    if( $enabled == "on" ){ $enabledChecked = "checked"; }

                    $alwaysvisible = get_option( "eewee_popup_val_alwaysvisible" );
                    $alwaysvisibleChecked = "";
                    if( $alwaysvisible == "on" ){ $alwaysvisibleChecked = "checked"; }
                    ?> 
                    
                    <div id="poststuff">
                        <div id="post-body" class="metabox-holder columns-2">

                            <div id="post-body-content">

                                <div id="eeweePopupdiv" class="stuffbox">
                                    <h3><label for="link_name"><?php _e('Setting', 'eeweePopup') ?></label></h3>
                                    <div class="inside">
                                        
                                        <table class="links-table" cellpadding="0">
                                            <tbody>
                                                <tr>
                                                        <th scope="row"><label for='f-enabled'><?php _e('Enabled', 'eeweePopup') ?></label></th>
                                                        <td><input type='checkbox' id='f-enabled' name='f_enabled' <?php echo $enabledChecked; ?> /></td>
                                                </tr>
                                                <tr>
                                                        <th scope="row"><label for='f-alwaysvisible'><?php _e('Always visible', 'eeweePopup') ?></label></th>
                                                        <td><input type='checkbox' id='f-alwaysvisible' name='f_alwaysvisible' <?php echo $alwaysvisibleChecked; ?> /></td>
                                                </tr>
                                                <tr>
                                                        <th scope="row"><label for="f-link"><?php _e('Link', 'eeweePopup') ?></label></th>
                                                        <td>
                                                            <input type='text' id='f-link' name='f_link' value='<?php form_option( "eewee_popup_val_link" ); ?>' />
                                                            <p class="description">(ex: <a href='http://www.eewee.fr' target='_blank'>http://www.eewee.fr</a>)</p>
                                                        </td>
                                                </tr>
                                                <tr>
                                                        <th scope="row"><label for="f-width"><?php _e('Width', 'eeweePopup') ?></label></th>
                                                        <td>
                                                            <input type='text' id='f-width' name='f_width' value='<?php form_option( "eewee_popup_val_width" ); ?>' />
                                                            <p class="description">(ex: 500)</p>
                                                        </td>
                                                </tr>
                                                <?php
                                                /*
                                                <tr>
                                                        <th scope="row"><label for="f-height"><?php _e('Height', 'eeweePopup') ?></label></th>
                                                        <td>
                                                            <input type='text' id='f-height' name='f_height' value='<?php form_option( "eewee_popup_val_height" ); ?>' /> 
                                                            <p class="description">(ex: 250)</p>
                                                        </td>
                                                </tr>
                                                */
                                                ?>
                                                <tr>
                                                        <th scope="row"><label for="f-imgurl"><?php _e('URL Image', 'eeweePopup') ?></label></th>
                                                        <td>
                                                            <input type='text' id='f-imgurl' name='f_imgurl' value='<?php form_option( "eewee_popup_val_imgurl" ); ?>' /> 
                                                            <p class="description">(ex: http://myWebsite.com/wordpress/wp-content/uploads/2013/01/abc.jpg)</p>
                                                        </td>
                                                </tr>
                                                <tr>
                                                        <th scope="row"><label for="f-text"><?php _e('Text', 'eeweePopup') ?></label></th>
                                                        <td>
                                                            <textarea id='f-height' name='f_text' rows='10'><?php form_option( "eewee_popup_val_text" ); ?></textarea> 
                                                        </td>
                                                </tr>
                                                <tr>
                                                        <th scope="row"><label for="f-borderPx"><?php _e('Border width', 'eeweePopup') ?></label></th>
                                                        <td>
                                                            <input type='text' id='f-borderPx' name='f_borderpx' value='<?php form_option( "eewee_popup_val_bpx" ); ?>' /> 
                                                            <p class="description">(ex: 20)</p>
                                                        </td>
                                                </tr>
                                                <tr>
                                                        <th scope="row"><label for="f-borderColor"><?php _e('Border color', 'eeweePopup') ?></label></th>
                                                        <td>
                                                            <input type='text' id='f-borderColor' name='f_bordercolor' value='<?php form_option( "eewee_popup_val_bc" ); ?>' /> 
                                                            <p class="description">(ex: #ddd)</p>
                                                        </td>
                                                </tr>
                                            </tbody>
                                        </table>

                                    </div>
                                </div>

                            </div><!-- /post-body-content -->


                            <div id="postbox-container-1" class="postbox-container">
                                <div id="side-sortables" class="meta-box-sortables ui-sortable">
                                    <div id="linksubmitdiv" class="postbox ">
                                        <div class="handlediv" title="Cliquer pour inverser."><br></div>
                                        <h3 class="hndle"><span>Enregistrer</span></h3>
                                        <div class="inside">
                                            <div class="submitbox" id="submitlink">

                                                <div id="major-publishing-actions">
                                                    <div id="publishing-action">
                                                        <input type="submit" name="btn_save" id="submit" class="button-primary" value="<?php _e('Update', 'eeweePopup') ?>" />    
                                                    </div>
                                                    <div class="clear"></div>
                                                </div>
                                            <div class="clear"></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div><!-- postbox-container-1 -->

                        </div><!-- post-body -->
                    </div><!-- poststuff -->
                            
		</form>
		<?php
	}
	
}