<?php if (!defined('EEWEE_POPUP_VERSION')) exit('No direct script access allowed'); ?>

<div id="framework_wrap" class="wrap">

	<div id="header">
	    <h1><?php _e('Manual', 'eewee-popup'); ?></h1>
	    <h2><?php _e('Summary', 'eewee-popup'); ?></h2>
	    <div class="version">
	      <?php echo EEWEE_POPUP_VERSION; ?>
	    </div>
	</div>
  
  <div id="content_wrap">
  
    <div id="content">
      <div id="options_tabs" class="docs">
      
        <ul class="options_tabs">
          <li><a href="#general1"><?php _e('Settings', 'eewee-popup'); ?></a></li>
          <li><a href="#general2"><?php _e('More information', 'eewee-popup'); ?></a></li>
        </ul>
        
        <hr />
        
        <section id="general1">
          <h3><?php _e("Settings", "eewee-popup"); ?></h3>
          <p>
            <u><?php _e("Enabled", "eewee-popup"); ?> : </u><br />
            <?php _e("Enables / disables the functionality of the plugin", "eewee-popup"); ?>
          </p>
          <p>
            <u><?php _e("Always visible", "eewee-popup"); ?> : </u><br />
            <?php _e("Indicates whether the popup should always be displayed or not.", "eewee-popup"); ?>
          </p>
          <p>
            <u><?php _e("Link", "eewee-popup"); ?> : </u><br />
            <?php _e("URL link, which will be used when click on the image and / or text.", "eewee-popup"); ?>
          </p>
          <p>
            <u><?php _e("Width", "eewee-popup"); ?> : </u><br />
            <?php _e("Width of popup advertising.", "eewee-popup"); ?>
          </p>
          <p>
            <u><?php _e("URL Image", "eewee-popup"); ?> : </u><br />
            <?php _e("URL of the image you want to add popup advertising.", "eewee-popup"); ?>
          </p>
          <p>
            <u><?php _e("Text", "eewee-popup"); ?> : </u><br />
            <?php _e("Text you want to add popup advertising.", "eewee-popup"); ?>
          </p>
          <p>
            <u><?php _e("Border width", "eewee-popup"); ?> : </u><br />
            <?php _e("Border width of popup advertising.", "eewee-popup"); ?>
          </p>
          <p>
            <u><?php _e("Border color", "eewee-popup"); ?> : </u><br />
            <?php _e("Border color of popup advertising.", "eewee-popup"); ?>
          </p>
        </section><!-- general1 --> 
        
        <hr />
        
        <section id="general2">
          <h3><?php _e("More information", "eewee-popup"); ?></h3>
          <p>
            <a href='http://www.eewee.fr' target='_blank'>www.eewee.fr</a>
          </p>
        </section><!-- general2 -->

        <br class="clear" />
      </div><!-- options_tabs -->
    </div><!-- content -->
    <!--<div class="info bottom"></div>-->   
  </div><!-- content_wrap -->

</div><!-- framework_wrap -->
<!-- [END] framework_wrap -->